utils/haddock_dist_VERSION = 2.14.3
utils/haddock_dist_MODULES = Main Documentation.Haddock Data.Attoparsec Data.Attoparsec.ByteString Data.Attoparsec.ByteString.Char8 Data.Attoparsec.Combinator Data.Attoparsec.Number Data.Attoparsec.ByteString.FastSet Data.Attoparsec.ByteString.Internal Data.Attoparsec.Internal Data.Attoparsec.Internal.Types Haddock Haddock.Interface Haddock.Interface.Rename Haddock.Interface.Create Haddock.Interface.AttachInstances Haddock.Interface.LexParseRn Haddock.Interface.ParseModuleHeader Haddock.Parser Haddock.Parser.Util Haddock.Utf8 Haddock.Utils Haddock.Backends.Xhtml Haddock.Backends.Xhtml.Decl Haddock.Backends.Xhtml.DocMarkup Haddock.Backends.Xhtml.Layout Haddock.Backends.Xhtml.Names Haddock.Backends.Xhtml.Themes Haddock.Backends.Xhtml.Types Haddock.Backends.Xhtml.Utils Haddock.Backends.LaTeX Haddock.Backends.HaddockDB Haddock.Backends.Hoogle Haddock.ModuleTree Haddock.Types Haddock.Doc Haddock.Version Haddock.InterfaceFile Haddock.Options Haddock.GhcUtils Haddock.Convert
utils/haddock_dist_HIDDEN_MODULES = Documentation.Haddock Data.Attoparsec Data.Attoparsec.ByteString Data.Attoparsec.ByteString.Char8 Data.Attoparsec.Combinator Data.Attoparsec.Number Data.Attoparsec.ByteString.FastSet Data.Attoparsec.ByteString.Internal Data.Attoparsec.Internal Data.Attoparsec.Internal.Types Haddock Haddock.Interface Haddock.Interface.Rename Haddock.Interface.Create Haddock.Interface.AttachInstances Haddock.Interface.LexParseRn Haddock.Interface.ParseModuleHeader Haddock.Parser Haddock.Parser.Util Haddock.Utf8 Haddock.Utils Haddock.Backends.Xhtml Haddock.Backends.Xhtml.Decl Haddock.Backends.Xhtml.DocMarkup Haddock.Backends.Xhtml.Layout Haddock.Backends.Xhtml.Names Haddock.Backends.Xhtml.Themes Haddock.Backends.Xhtml.Types Haddock.Backends.Xhtml.Utils Haddock.Backends.LaTeX Haddock.Backends.HaddockDB Haddock.Backends.Hoogle Haddock.ModuleTree Haddock.Types Haddock.Doc Haddock.Version Haddock.InterfaceFile Haddock.Options Haddock.GhcUtils Haddock.Convert
utils/haddock_dist_SYNOPSIS =A documentation-generation tool for Haskell libraries
utils/haddock_dist_HS_SRC_DIRS = driver src vendor/attoparsec-0.10.4.0
utils/haddock_dist_DEPS = Cabal-1.18.1.3 array-0.5.0.0 base-4.7.0.1 bytestring-0.10.4.0 containers-0.5.5.1 deepseq-1.3.0.2 directory-1.2.1.0 filepath-1.3.0.2 ghc-7.8.3 xhtml-3000.2.1
utils/haddock_dist_DEP_NAMES = Cabal array base bytestring containers deepseq directory filepath ghc xhtml
utils/haddock_dist_TRANSITIVE_DEPS = xhtml-3000.2.1 ghc-7.8.3 transformers-0.3.0.0 template-haskell-2.9.0.0 hpc-0.6.0.1 hoopl-3.10.0.1 bin-package-db-0.0.0.0 binary-0.7.1.0 Cabal-1.18.1.3 process-1.2.0.0 pretty-1.1.1.1 directory-1.2.1.0 unix-2.7.0.1 time-1.4.2 old-locale-1.0.0.6 filepath-1.3.0.2 containers-0.5.5.1 bytestring-0.10.4.0 deepseq-1.3.0.2 array-0.5.0.0 base-4.7.0.1 integer-gmp-0.5.1.0 ghc-prim-0.3.1.0 rts-1.0
utils/haddock_dist_TRANSITIVE_DEP_NAMES = xhtml ghc transformers template-haskell hpc hoopl bin-package-db binary Cabal process pretty directory unix time old-locale filepath containers bytestring deepseq array base integer-gmp ghc-prim rts
utils/haddock_dist_INCLUDE_DIRS = 
utils/haddock_dist_INCLUDES = 
utils/haddock_dist_INSTALL_INCLUDES = 
utils/haddock_dist_EXTRA_LIBRARIES = 
utils/haddock_dist_EXTRA_LIBDIRS = 
utils/haddock_dist_C_SRCS  = 
utils/haddock_dist_CMM_SRCS  := $(addprefix cbits/,$(notdir $(wildcard utils/haddock/cbits/*.cmm)))
utils/haddock_dist_DATA_FILES = html/frames.html html/haddock-util.js html/Classic.theme/haskell_icon.gif html/Classic.theme/minus.gif html/Classic.theme/plus.gif html/Classic.theme/xhaddock.css html/Ocean.std-theme/hslogo-16.png html/Ocean.std-theme/minus.gif html/Ocean.std-theme/ocean.css html/Ocean.std-theme/plus.gif html/Ocean.std-theme/synopsis.png latex/haddock.sty
utils/haddock_dist_HC_OPTS = -funbox-strict-fields -Wall -fwarn-tabs -O2 -XHaskell2010
utils/haddock_dist_CC_OPTS = 
utils/haddock_dist_CPP_OPTS = -DIN_GHC_TREE
utils/haddock_dist_LD_OPTS = 
utils/haddock_dist_DEP_INCLUDE_DIRS_SINGLE_QUOTED = '/home/a/ghc-7.8.3/compiler/.' '/home/a/ghc-7.8.3/compiler/parser' '/home/a/ghc-7.8.3/compiler/utils' '/home/a/ghc-7.8.3/compiler/../rts/dist/build' '/home/a/ghc-7.8.3/compiler/stage2' '/home/a/ghc-7.8.3/libraries/process/include' '/home/a/ghc-7.8.3/libraries/directory/include' '/home/a/ghc-7.8.3/libraries/unix/include' '/home/a/ghc-7.8.3/libraries/time/include' '/home/a/ghc-7.8.3/libraries/containers/include' '/home/a/ghc-7.8.3/libraries/bytestring/include' '/home/a/ghc-7.8.3/libraries/base/include' '/home/a/ghc-7.8.3/libraries/integer-gmp/include' '/home/a/ghc-7.8.3/rts/dist/build' '/home/a/ghc-7.8.3/includes' '/home/a/ghc-7.8.3/includes/dist-derivedconstants/header'
utils/haddock_dist_DEP_CC_OPTS = 
utils/haddock_dist_DEP_LIB_DIRS_SINGLE_QUOTED = '/home/a/ghc-7.8.3/libraries/xhtml/dist-install/build' '/home/a/ghc-7.8.3/compiler/stage2/build' '/home/a/ghc-7.8.3/libraries/transformers/dist-install/build' '/home/a/ghc-7.8.3/libraries/template-haskell/dist-install/build' '/home/a/ghc-7.8.3/libraries/hpc/dist-install/build' '/home/a/ghc-7.8.3/libraries/hoopl/dist-install/build' '/home/a/ghc-7.8.3/libraries/bin-package-db/dist-install/build' '/home/a/ghc-7.8.3/libraries/binary/dist-install/build' '/home/a/ghc-7.8.3/libraries/Cabal/Cabal/dist-install/build' '/home/a/ghc-7.8.3/libraries/process/dist-install/build' '/home/a/ghc-7.8.3/libraries/pretty/dist-install/build' '/home/a/ghc-7.8.3/libraries/directory/dist-install/build' '/home/a/ghc-7.8.3/libraries/unix/dist-install/build' '/home/a/ghc-7.8.3/libraries/time/dist-install/build' '/home/a/ghc-7.8.3/libraries/old-locale/dist-install/build' '/home/a/ghc-7.8.3/libraries/filepath/dist-install/build' '/home/a/ghc-7.8.3/libraries/containers/dist-install/build' '/home/a/ghc-7.8.3/libraries/bytestring/dist-install/build' '/home/a/ghc-7.8.3/libraries/deepseq/dist-install/build' '/home/a/ghc-7.8.3/libraries/array/dist-install/build' '/home/a/ghc-7.8.3/libraries/base/dist-install/build' '/home/a/ghc-7.8.3/libraries/integer-gmp/dist-install/build' '/home/a/ghc-7.8.3/libraries/ghc-prim/dist-install/build' '/home/a/ghc-7.8.3/rts/dist/build'
utils/haddock_dist_DEP_LIB_DIRS_SEARCHPATH = /home/a/ghc-7.8.3/libraries/xhtml/dist-install/build:/home/a/ghc-7.8.3/compiler/stage2/build:/home/a/ghc-7.8.3/libraries/transformers/dist-install/build:/home/a/ghc-7.8.3/libraries/template-haskell/dist-install/build:/home/a/ghc-7.8.3/libraries/hpc/dist-install/build:/home/a/ghc-7.8.3/libraries/hoopl/dist-install/build:/home/a/ghc-7.8.3/libraries/bin-package-db/dist-install/build:/home/a/ghc-7.8.3/libraries/binary/dist-install/build:/home/a/ghc-7.8.3/libraries/Cabal/Cabal/dist-install/build:/home/a/ghc-7.8.3/libraries/process/dist-install/build:/home/a/ghc-7.8.3/libraries/pretty/dist-install/build:/home/a/ghc-7.8.3/libraries/directory/dist-install/build:/home/a/ghc-7.8.3/libraries/unix/dist-install/build:/home/a/ghc-7.8.3/libraries/time/dist-install/build:/home/a/ghc-7.8.3/libraries/old-locale/dist-install/build:/home/a/ghc-7.8.3/libraries/filepath/dist-install/build:/home/a/ghc-7.8.3/libraries/containers/dist-install/build:/home/a/ghc-7.8.3/libraries/bytestring/dist-install/build:/home/a/ghc-7.8.3/libraries/deepseq/dist-install/build:/home/a/ghc-7.8.3/libraries/array/dist-install/build:/home/a/ghc-7.8.3/libraries/base/dist-install/build:/home/a/ghc-7.8.3/libraries/integer-gmp/dist-install/build:/home/a/ghc-7.8.3/libraries/ghc-prim/dist-install/build:/home/a/ghc-7.8.3/rts/dist/build
utils/haddock_dist_DEP_LIB_REL_DIRS = libraries/xhtml/dist-install/build compiler/stage2/build libraries/transformers/dist-install/build libraries/template-haskell/dist-install/build libraries/hpc/dist-install/build libraries/hoopl/dist-install/build libraries/bin-package-db/dist-install/build libraries/binary/dist-install/build libraries/Cabal/Cabal/dist-install/build libraries/process/dist-install/build libraries/pretty/dist-install/build libraries/directory/dist-install/build libraries/unix/dist-install/build libraries/time/dist-install/build libraries/old-locale/dist-install/build libraries/filepath/dist-install/build libraries/containers/dist-install/build libraries/bytestring/dist-install/build libraries/deepseq/dist-install/build libraries/array/dist-install/build libraries/base/dist-install/build libraries/integer-gmp/dist-install/build libraries/ghc-prim/dist-install/build rts/dist/build
utils/haddock_dist_DEP_LIB_REL_DIRS_SEARCHPATH = libraries/xhtml/dist-install/build:compiler/stage2/build:libraries/transformers/dist-install/build:libraries/template-haskell/dist-install/build:libraries/hpc/dist-install/build:libraries/hoopl/dist-install/build:libraries/bin-package-db/dist-install/build:libraries/binary/dist-install/build:libraries/Cabal/Cabal/dist-install/build:libraries/process/dist-install/build:libraries/pretty/dist-install/build:libraries/directory/dist-install/build:libraries/unix/dist-install/build:libraries/time/dist-install/build:libraries/old-locale/dist-install/build:libraries/filepath/dist-install/build:libraries/containers/dist-install/build:libraries/bytestring/dist-install/build:libraries/deepseq/dist-install/build:libraries/array/dist-install/build:libraries/base/dist-install/build:libraries/integer-gmp/dist-install/build:libraries/ghc-prim/dist-install/build:rts/dist/build
utils/haddock_dist_DEP_EXTRA_LIBS = rt util dl gmp m rt dl
utils/haddock_dist_DEP_LD_OPTS = 
utils/haddock_dist_BUILD_GHCI_LIB = NO

$(eval $(utils/haddock_PACKAGE_MAGIC))
